import { MSAA_QUALITY } from '../../constants.mjs';
import '../../math/const.mjs';
import { Rectangle } from '../../math/shapes/Rectangle.mjs';
import '../../math/groupD8.mjs';
import '../../math/Transform.mjs';

class FilterState {
  constructor() {
    this.renderTexture = null;
    this.target = null;
    this.legacy = false;
    this.resolution = 1;
    this.multisample = MSAA_QUALITY.NONE;
    this.sourceFrame = new Rectangle();
    this.destinationFrame = new Rectangle();
    this.bindingSourceFrame = new Rectangle();
    this.bindingDestinationFrame = new Rectangle();
    this.filters = [];
    this.transform = null;
  }
  /** Clears the state */
  clear() {
    this.target = null;
    this.filters = null;
    this.renderTexture = null;
  }
}

export { FilterState };
//# sourceMappingURL=FilterState.mjs.map
