import { Buffer, Renderer, Program, Shader, Geometry, BufferCopyOperation, IBufferCopier } from "../core";
export declare class TFBufferCopier implements IBufferCopier {
    strideFloats: number;
    strideBytes: number;
    elemCount: number;
    elemSize: number;
    program: Program;
    shader: Shader;
    tf: Record<number, WebGLTransformFeedback>;
    geom: Geometry;
    tempBuffer: Buffer;
    constructor(strideFloats?: number);
    initProgram(): void;
    initGeom(): void;
    doCopy(renderer: Renderer, src: Buffer, target: Buffer, strideBytes: number, copies: Array<BufferCopyOperation>, copyCount?: number): void;
}
