import { ISize, Matrix } from "../math";
import { Renderer } from "../core";
import { LayerTextureCache } from "./LayerTextureCache";
export interface ILayerPassOptions {
    bgColor?: ArrayLike<number>;
    clearDepth?: boolean;
    clearColor?: boolean;
    useDoubleBuffer?: boolean;
    useRenderTexture?: boolean;
    screenSize?: ISize;
    transform?: Matrix;
    useTransform?: boolean;
    useDepth?: boolean;
}
/**
 * alternative to renderer.render()
 */
export declare class LayerPass {
    constructor(options?: ILayerPassOptions);
    renderer: Renderer;
    useDoubleBuffer: boolean;
    useRenderTexture: boolean;
    useDepth: boolean;
    clearColor: boolean;
    clearDepth: boolean;
    /**
     * preserve transform from previous pass
     */
    preserveTransform: boolean;
    bgColor: Float32Array;
    screenSize: ISize;
    textureCache: LayerTextureCache;
    transform?: Matrix;
    useTransform?: boolean;
    active: boolean;
    getRenderTexture(): import("../core").RenderTexture;
    destroy(): void;
}
